<?php
 /*
   Limph Is Monitoring Pingable Hosts
   Copyright (C) 2006 Jonathan Ciesla
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
  */
require_once("config.php");
require_once("functionlib.php");
session_start();
favicon();

$link = dbms_connect($dbhost, $dbuser, $dbpass, $dbname);

authentication(0,0);

echo "<link rel=stylesheet href=css_tree.php>";
echo "<title>Limph: $sitetitle</title>";
echo "<h3>Limph: $sitetitle</h3>";

if($graphviz_enable==0){
  function tree_walk($name, $number, $indent){
    if($indent>0){
      echo "<br />";
      for($x=$indent;$x>=0;$x--){ 
	echo "&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp"; 
      };
      echo "|";
      echo "----";
    };
    $indent++;
    echo $name;
    $query2 = "SELECT name,number FROM hosts WHERE parent = '$number' ORDER BY name;";
    $result2 = dbms_query($query2);
    while($line2 = dbms_fetch_array($result2, "NUM")){
      tree_walk($line2[0], $line2[1], $indent);
    };
    dbms_free_result($result2);
  };
  
  $query = "SELECT name,number FROM hosts WHERE parent = '0' ORDER BY name;";
  $result = dbms_query($query);
  while($line = dbms_fetch_array($result, "NUM")){
    tree_walk($line[0], $line[1], 0);
    echo "<br />";
  };
  dbms_free_result($result);
 };

if($graphviz_enable=="1"){
  //output to screen
  echo "<img src=graph.php align=center>";
 };

dbms_close($link);

echo "<br />";
echo "<form action=index.php method=post>";
echo "<input type=submit value=Back />";
echo "</form>";
?>

